#ifndef COLORTABLEITEM_H
#define COLORTABLEITEM_H

#include <qtable.h>

class ColorTableItem : public QTableItem
{
public:
	ColorTableItem( QTable *table, const QString &color );
	
	QWidget *createEditor() const;
	void setContentFromEditor( QWidget *w );
	
	void paint( QPainter *p, const QColorGroup &cg, const QRect &cr, bool selected );
};

#endif