#include <qapplication.h>
#include <qtable.h>

#include "colortableitem.h"

int main( int argc, char **argv )
{
	QApplication a( argc, argv );
	
	QTable t( 3, 3 );
	
	t.setItem( 0, 0, new ColorTableItem( &t, "Red" ) );
	t.setItem( 0, 1, new ColorTableItem( &t, "Green" ) );
	t.setItem( 0, 2, new ColorTableItem( &t, "Black" ) );
	t.setItem( 1, 0, new ColorTableItem( &t, "Yellow" ) );
	t.setItem( 1, 1, new ColorTableItem( &t, "Magenta" ) );
	t.setItem( 1, 2, new ColorTableItem( &t, "Blue" ) );
	t.setItem( 2, 0, new ColorTableItem( &t, "Gray" ) );
	t.setItem( 2, 1, new ColorTableItem( &t, "Cyan" ) );
	t.setItem( 2, 2, new ColorTableItem( &t, "White" ) );
	
	a.setMainWidget( &t );
	t.show();
	
	return a.exec();
}